# The target source's nativeIdentity is missing during the create operation using the WSC

**URL:** <https://developer.sailpoint.com/discuss/t/the-target-sources-nativeidentity-is-missing-during-the-create-operation-using-the-wsc/70397>\
**Category:** SHF Discussion and Questions\
**Tags:** webservice-connector, sailpoint-identity-security\
**Created:** [July 1, 2024, 9:37am UTC](https://developer.sailpoint.com/discuss/t/the-target-sources-nativeidentity-is-missing-during-the-create-operation-using-the-wsc/70397 "2024-07-01T09:37:56Z")\
**Posts on this page:** 13\
**Page:** 1

<div class="post-metadata">

**Author:** ![jwshin](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/jwshin/32/11369_2.png) [@jwshin](https://developer.sailpoint.com/discuss/u/jwshin)\
**Post date:** [July 1, 2024, 9:37am UTC](https://developer.sailpoint.com/discuss/t/the-target-sources-nativeidentity-is-missing-during-the-create-operation-using-the-wsc/70397/1 "2024-07-01T09:37:56Z")

</div>

Hi Experts,

We have an application where the schema account ID is generated in the target system. And new account ID is uses assigning entitlement.  
Here is my current situation:

| | HTTP Operation | Status | Description |
| --- | --- | --- | --- |
| 1 | Account aggregation | Success | - |
| 2 | Entitlement aggregation | Success | - |
| 3 | Create account and add entitlement | Not successful | The account was created in the target system but account does not have the entitlement.   
IDN SaaS assigned the role already, and the new account’s nativeIdentity shows ‘???’. This will disappear once the target source aggregation is complete. |
| 4 | Add entitlement to existing account | Success | - |
| 5 | Remove entitlement from existing account | Success | - |
| 6 | Aggregate target system, then start modify operation and add entitlement | Success | nativeIdentity mapped after target source aggregation |

 ![image](https://global.discourse-cdn.com/sailpoint/original/2X/b/b5d1a5f22664093f53c7041121204d780ac7033e.png)

I hope you can suggest any helpful ideas.

---

<div class="post-metadata">

**Author:** ![kyle](https://avatars.discourse-cdn.com/v4/letter/k/848f3c/32.png) [@kyle](https://developer.sailpoint.com/discuss/u/kyle)\
**Post date:** [July 1, 2024, 9:54am UTC](https://developer.sailpoint.com/discuss/t/the-target-sources-nativeidentity-is-missing-during-the-create-operation-using-the-wsc/70397/2 "2024-07-01T09:54:13Z")

</div>

Hi Jaewon,

1. Did you set up a Response Mapping in the ‘Create Account’ Operation? After the connector has initiated the creation of the account, ISC will need confirmation from the target that the account has been created successfully.
2. Did you setup a ‘Get Object’ Operation?

If those 2 do not help, can you provide any logs?

Kind Regards,

---

<div class="post-metadata">

**Author:** ![bcariaga](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/bcariaga/32/1890_2.png) [@bcariaga](https://developer.sailpoint.com/discuss/u/bcariaga)\
**Post date:** [July 1, 2024, 11:53am UTC](https://developer.sailpoint.com/discuss/t/the-target-sources-nativeidentity-is-missing-during-the-create-operation-using-the-wsc/70397/3 "2024-07-01T11:53:11Z")

</div>

Hi @jwshin,

As Kyle mentioned, the ‘???’ will appear if the account id is not properly mapped from the response of the create account. Are you sure the mapping for this is correct?

If you would like to create the account with the entitlement, as opposed to using a separate operation (Add Entitlement), ensure you have checked the “[Create Account with Ent Request](https://documentation.sailpoint.com/connectors/saas/web_services/help/saas_connectivity/web_services/additional_settings.html?Highlight=Create%20Account%20With%20%22Ent%22%20Request%20)” in the additional settings. If you do not have this checked and are using two operations, the Add Entitlement will not work if the account ID is not mapped correctly in the response object of the create account.

If you are still unsure, please provide some information on the response body of the create account, response mapping, and account schema.

---

<div class="post-metadata">

**Author:** ![jwshin](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/jwshin/32/11369_2.png) [@jwshin](https://developer.sailpoint.com/discuss/u/jwshin)\
**Post date:** [July 1, 2024, 12:36pm UTC](https://developer.sailpoint.com/discuss/t/the-target-sources-nativeidentity-is-missing-during-the-create-operation-using-the-wsc/70397/4 "2024-07-01T12:36:31Z")

</div>

Hi @kyle

 ![image](https://global.discourse-cdn.com/sailpoint/original/2X/7/7df5ea597a992ab36e9aef8e19d9b4fd61b2405b.png)

Q1: Did you set up a Response Mapping in the ‘Create Account’ Operation?  
After the connector has initiated the creation of the account, ISC will need confirmation from the target that the account has been created successfully.

A1: I configured the $response.id$ response mapping, but it seems to have failed to successfully configure the nativeIdentity. If there is a recommended configuration, I would appreciate it if you could let me know.

After the create operation is executed, the response returns the following JSON body:

```auto
{
    "id": "yy-zz-gg-zz", //this is account id (schema)
    "meta": {
        "created": "2024-06-20T07:22:49Z",
        "lastModified": "2024-06-20T07:22:49Z",
        "location": "https://targetSystem.com/something/Users/xx-yy-zz-xx",
        "version": "zz-zz-zz-zz",
        "resourceType": "User"
    },
    "schemas": [
       //something
    ],
    "userName": "IdentityNow UID", // IdentityNow authoritative source id
    "name": {
        "familyName": "fname",
        "givenName": "gname"
    },
    "userType": "public",
    "active": true,
    "emails": [
        {
            "value": "test@test.co.kr",
            "primary": true
        }
    ],
    "urn:xxx:User": {
        "emails": [
            {
                "value": "test@test.co.kr",
                "primary": true
            }
        ],
        "userUuid": "xx-xx-xx-xx",
        "mailVerified": false,
        "userId": "xxxx",
        "status": "active"
    }
}

```

Q2: Did you set up a ‘Get Object’ Operation?

A2: Actually, I attempted to configure Get Object API like GET /Users/, but it was not successful. I am not sure if it is because the nativeIdentity attribute could not be found, but the get object operation did not function correctly after the create operation.

Regards,

---

<div class="post-metadata">

**Author:** ![jwshin](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/jwshin/32/11369_2.png) [@jwshin](https://developer.sailpoint.com/discuss/u/jwshin)\
**Post date:** [July 1, 2024, 12:47pm UTC](https://developer.sailpoint.com/discuss/t/the-target-sources-nativeidentity-is-missing-during-the-create-operation-using-the-wsc/70397/5 "2024-07-01T12:47:04Z")

</div>

Hi @bcariaga ,

Yes, as you mentioned, the create operation was successful, but the subsequent add entitlement only occurs within the SaaS and does not provision to the actual target system due to the nativeIdentity not being correctly mapped.

I did not check the “Create Account with Ent Request” option because the endpoints for creating accounts and assigning entitlement groups are different.

It seems that the nativeIdentity mapping is the primary issue. I would greatly appreciate any suggestions on how to resolve this correctly.

Regards,

---

<div class="post-metadata">

**Author:** ![kyle](https://avatars.discourse-cdn.com/v4/letter/k/848f3c/32.png) [@kyle](https://developer.sailpoint.com/discuss/u/kyle)\
**Post date:** [July 1, 2024, 12:47pm UTC](https://developer.sailpoint.com/discuss/t/the-target-sources-nativeidentity-is-missing-during-the-create-operation-using-the-wsc/70397/6 "2024-07-01T12:47:19Z")

</div>

Hi @jwshin,

That ‘Schema Attribute’ is the attribute you have defined in your Account Schema. Assuming within your account schema you have set the NativeIdentity as **id** and in your Response Information you have a $ in your Root Path -

Please try the following values:  
Schema Attribute = id  
Attribute Path = id

Kind Regards,

---

<div class="post-metadata">

**Author:** ![jwshin](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/jwshin/32/11369_2.png) [@jwshin](https://developer.sailpoint.com/discuss/u/jwshin)\
**Post date:** [July 1, 2024, 1:22pm UTC](https://developer.sailpoint.com/discuss/t/the-target-sources-nativeidentity-is-missing-during-the-create-operation-using-the-wsc/70397/7 "2024-07-01T13:22:58Z")

</div>

Hi @kyle

Here’s additional info about configuration

account schema  
ID : Account ID (target system generate)  
USERNAME : Account Name and IDN uid  
value : group entitlement  
display : group description

 ![image](https://global.discourse-cdn.com/sailpoint/original/2X/7/794667d0cd5df8ab2c92e2ac74b24d8c2ec1dc19.png)

Create Account Response Info

 ![image](https://global.discourse-cdn.com/sailpoint/original/2X/4/4305add0798a4f5f5c2c5fa23ab9cf428bab7681.png)

Create Account Response Mapping

 ![image](https://global.discourse-cdn.com/sailpoint/original/2X/c/c3376a886eb2f79a9e081f45fed73d861af5efc4.png)

search error log

 ![image](https://global.discourse-cdn.com/sailpoint/original/2X/8/83bc055c8afd54ab627c29eb7dca482061c25368.png)

Regards,

---

<div class="post-metadata">

**Author:** ![kyle](https://avatars.discourse-cdn.com/v4/letter/k/848f3c/32.png) [@kyle](https://developer.sailpoint.com/discuss/u/kyle)\
**Post date:** [July 1, 2024, 1:32pm UTC](https://developer.sailpoint.com/discuss/t/the-target-sources-nativeidentity-is-missing-during-the-create-operation-using-the-wsc/70397/8 "2024-07-01T13:32:32Z")

</div>

Please try remove the $ from the Root Path in the Response Information tab.

Also make the following change to the Response Mapping tab:  
Schema Attribute = ID  
Attribute Path = id

Let me know the results.

---

<div class="post-metadata">

**Author:** ![jwshin](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/jwshin/32/11369_2.png) [@jwshin](https://developer.sailpoint.com/discuss/u/jwshin)\
**Post date:** [July 1, 2024, 2:51pm UTC](https://developer.sailpoint.com/discuss/t/the-target-sources-nativeidentity-is-missing-during-the-create-operation-using-the-wsc/70397/9 "2024-07-01T14:51:29Z")

</div>

Hi @kyle ,

Thanks, it works. Based on your advice, I have realized the importance of accurately mapping the account attributes.

Regards,

---

<div class="post-metadata">

**Author:** ![denanife](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/denanife/32/7268_2.png) [@denanife](https://developer.sailpoint.com/discuss/u/denanife)\
**Post date:** [July 11, 2024, 6:00pm UTC](https://developer.sailpoint.com/discuss/t/the-target-sources-nativeidentity-is-missing-during-the-create-operation-using-the-wsc/70397/10 "2024-07-11T18:00:26Z")

</div>

Hi,

And what to do if after create operation, the API return empty response?

 ![image](https://global.discourse-cdn.com/sailpoint/original/2X/b/b71965055d82a65cdc90ddae06cb551ae6eab2a0.png)

---

<div class="post-metadata">

**Author:** ![sidharth\_tarlapally](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/sidharth_tarlapally/32/26178_2.png) [@sidharth\_tarlapally](https://developer.sailpoint.com/discuss/u/sidharth_tarlapally)\
**Post date:** [August 1, 2024, 10:28am UTC](https://developer.sailpoint.com/discuss/t/the-target-sources-nativeidentity-is-missing-during-the-create-operation-using-the-wsc/70397/11 "2024-08-01T10:28:32Z")

</div>

Hello Everyone !

I am facing a similar issue .  
The scenario is same , but :  
Unable to see native Identity after account creation , it is showing ???. Can be seen after aggretaion.  
The roles are not shown after aggregation , can be seen before aggregation  
The request is shown as completed .

Account Schema is set up as mentioned above . No get single object is performed

---

<div class="post-metadata">

**Author:** ![jwshin](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/jwshin/32/11369_2.png) [@jwshin](https://developer.sailpoint.com/discuss/u/jwshin)\
**Post date:** [August 5, 2024, 6:46am UTC](https://developer.sailpoint.com/discuss/t/the-target-sources-nativeidentity-is-missing-during-the-create-operation-using-the-wsc/70397/12 "2024-08-05T06:46:04Z")

</div>

Hi @sidharth_tarlapally ,

I recommend setting the NativeIdentity correctly with response mapping.  
IdentityNow SaaS does not know the exact ID when creating an account because the target system generates the ID itself.

create account \> response mapping  
please check schemaAttribute and attribute path.

Regards,

---

<div class="post-metadata">

**Author:** ![system](https://global.discourse-cdn.com/sailpoint/original/2X/f/f2136700ed5e3703e0b85e02f6be799dacca7735.png) [@system](https://developer.sailpoint.com/discuss/u/system)\
**Post date:** [October 4, 2024, 6:46am UTC](https://developer.sailpoint.com/discuss/t/the-target-sources-nativeidentity-is-missing-during-the-create-operation-using-the-wsc/70397/13 "2024-10-04T06:46:08Z")

</div>

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.
